### Method

# ICalGLib Component foreach_recurrence

since: 3.0.5

#### Declaration [src]

    void
    i_cal_component_foreach_recurrence (
      ICalComponent* comp,
      ICalTime* start,
      ICalTime* end,
      ICalComponentForeachRecurrenceFunc callback,
      gpointer user_data
    )

#### Description [src]

Cycles through all recurrences of an event. This function will call the specified callback function for once for the base value of DTSTART, and foreach recurring date/time value. It will filter out events that are specified as an EXDATE or an EXRULE.

Available since: 3.0.5

#### Parameters

`start`

  Type: `ICalTime`

  Ignore timespans before this.

  The data is owned by the caller of the method.

`end`

  Type: `ICalTime`

  Ignore timespans after this.

  The data is owned by the caller of the method.

`callback`

  Type: `ICalComponentForeachRecurrenceFunc`

  Function called for each timespan within the range.

`user_data`

  Type: `gpointer`

  The user data for callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.